> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.talqora.com/api-reference/serverless-processing/browser-markdown-fetch-v-1-indexes-index-id-browser-fetch-post/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.talqora.com/_mcp/server. # Fetch one or more rendered pages as Markdown POST https://api.talqora.com/v1/indexes/{index_id}/browser-fetch Content-Type: application/json Reference: https://docs.talqora.com/api-reference/serverless-processing/browser-markdown-fetch-v-1-indexes-index-id-browser-fetch-post ## Authentication - `Authorization` header (bearer token, required) — Use a tq_live_ API key as a Bearer token. ## Request ### Path parameters - `index_id` (string, required) ### Headers - `x-talqora-organization-id` (string, optional, nullable) ### Body (application/json) This endpoint expects a BrowserMarkdownFetchRequest. - `urls` (list of string, required) - `context_id` (string, optional, nullable) ## Response ### 200 Successful Response - `results` (list of BrowserMarkdownFetchResult, required) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### BrowserMarkdownFetchResult - `url` (string, required) - `final_url` (string, optional, nullable) - `title` (string, optional, nullable) - `markdown` (string, optional, nullable) - `status_code` (integer, optional, nullable) - `error` (string, optional, nullable) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "urls": [ "string" ] } ``` **Response** ```json { "results": [ { "url": "string", "final_url": "string", "title": "string", "markdown": "string", "status_code": 1, "error": "string" } ] } ``` **SDK Code** ```python import requests url = "https://api.talqora.com/v1/indexes/index_id/browser-fetch" payload = { "urls": ["string"] } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.talqora.com/v1/indexes/index_id/browser-fetch'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"urls":["string"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.talqora.com/v1/indexes/index_id/browser-fetch" payload := strings.NewReader("{\n \"urls\": [\n \"string\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.talqora.com/v1/indexes/index_id/browser-fetch") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"urls\": [\n \"string\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.talqora.com/v1/indexes/index_id/browser-fetch") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"urls\": [\n \"string\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.talqora.com/v1/indexes/index_id/browser-fetch', [ 'body' => '{ "urls": [ "string" ] }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.talqora.com/v1/indexes/index_id/browser-fetch"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"urls\": [\n \"string\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["urls": ["string"]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.talqora.com/v1/indexes/index_id/browser-fetch")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```